function [ handles ] = normalizeFilters( handles )
%UNTITLED3 Summary of this function goes here
%   Detailed explanation goes here

for k = 1:handles.numFiltersD
    maxVal = max(max(abs(handles.filtVal{k})));
    if maxVal ~=0
        tempFiltVal = handles.filtVal{k}./maxVal;
        tempFiltVal(abs(tempFiltVal) < 10^-10) = 0;
        handles.filtVal{k} = tempFiltVal;
        set(handles.uiT{k},'Data',handles.filtVal{k});
    end
end

handles = combineFiltsFromUnitCell(handles);

end

